%global modname unidiff
%global pypi_name unidiff

Name:           python-%{modname}
Version:        0.7.5
Release:        %mkrel 3
Summary:        Python library to parse and interact with unified diffs (patches)
License:        MIT
URL:            https://github.com/matiasb/python-unidiff
Source0:        %pypi_source
BuildArch:      noarch
Group:          Development/Python

# use setuptools console_scripts for /usr/bin/unidiff
Patch1: 0001-use-setuptools-console_scripts-for-usr-bin-unidiff.patch

%description
python-unidiff is a Python library to parse and interact with unified diffs 
(patches).

%package -n python%{python3_pkgversion}-%{modname}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{modname}
python-unidiff is a Python library to parse and interact with unified diffs 
(patches).

%prep
%autosetup -n %{modname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files unidiff

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m unittest discover -s tests/

%files -n python%{python3_pkgversion}-%{modname} -f %{pyproject_files}
%license LICENSE
%doc README.rst HISTORY
%{_bindir}/%{modname}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.7.5-3.mga10
+ Revision: 2243457
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 papoteur <papoteur> 0.7.5-2.mga10
+ Revision: 2161817
- use pyproject
- rebuild for python3.13

* Mon Jan 01 2024 joequant <joequant> 0.7.5-1.mga10
+ Revision: 2024934
- imported package python-unidiff

